import httpRequest from '@/utils/axios'

// 链接列表
export function getConnectionList(params: { created_operator?: string; type?: string; page?: number; 'per-page'?: number }) {
  return httpRequest.get('/api/lab/v1/experiment/connection/list', { params })
}

// 创建链接
export function createConnection(data: { type: string; config_attributes: string; }) {
  return httpRequest.post('/api/lab/v1/experiment/connection/create', data)
}

// 链接详情
export function getConnectionDetails(params: { id?: string; }) {
  return httpRequest.get('/api/lab/v1/experiment/connection/view', { params })
}

// 更新链接
export function updateConnection(data: { id: string; config_attributes: string; }) {
  return httpRequest.post('/api/lab/v1/experiment/connection/update', data)
}

// 删除链接
export function deleteConnection(data: { id: string; }) {
  return httpRequest.post('/api/lab/v1/experiment/connection/delete', data)
}